#include "Interpreter.h"

Interpreter defaultInterpreter;


char *defaultGetKeywordFn( char *keyword, char *result )
{
	return 0;
}

char *defaultSetKeywordFn ( char *keyword, char *result )
{
	return 0;
}

char *defaultInterpretFn  ( int maxLen, char *result, char *src, ... )
{
	return 0;
}

Interpreter::Interpreter()
{
	if( this == &defaultInterpreter )
	{
		init( 
			defaultGetKeywordFn,
			defaultSetKeywordFn,
			defaultInterpretFn
			);
	}
	else
	{
		*this = defaultInterpreter;
	}
};

void Interpreter::init( 
	GetKeywordFn *_get,
	SetKeywordFn *_set,
	InterpretFn  *_interpret
	)
{
	get = _get;
	set = _set;
	interpret = _interpret;
}
