#include "Parser.h"
#include "ParseAny.h"
#include "string.h"
#include "StaticString.h"

Parser::Parser( char *_sepList )
{
	if( !_sepList )
		sepList = " ";
	else
		sepList = _sepList;
}


void Parser::setLine( char *line )
{
	echLine = line;
}

void Parser::shift()
{
	char *s = echLine;
	ParseWord item( s, sepList );
	strcpy( echLine, s );
}


char *Parser::getParam( int index )
{
	char *s = echLine;
	ParseList item( s, index, sepList );
	return staticString( item.string );
}

char *Parser::getAfter( int index )
{
	char result[1024*8];
	result[0] = '\0';
	char *s = echLine;
	while( *s )
	{
		++index;
		s = echLine;
		ParseList item( s, index, sepList );
		if( result[0] )
			strcat( result, " " );
		strcat( result, item.string );
	}
	return staticString( result );
}

char *Parser::getLine()
{
	// This is a sort of weird implementation - it returns the line
	// with all quotes removed.  Is this what I really meant?

	return getAfter(-1);
}


int Parser::is( char *testStr, int index )
{
	return !stricmp( getParam(index), testStr );
}
