#ifndef STATICSTRING_H
#define STATICSTRING_H


// This is a handy way to get some string space that you never 
// have to worry about freeing up later.  I strongly suggest
// allocating at least 8K for this.

extern void staticStringInit( int maxLen );
extern char *staticString( int strLen );
extern char *staticString( char *s );
extern char *staticStringAssemble( int strLen, char *fmt, ... );

#endif
