#ifndef TEMPSTR_H
#define TEMPSTR_H


struct StrBasic
{
	static char *empty;
	char *s;
	StrBasic()					{ s = 0; }
	void mapTo( char *_s )		{ s = _s; }
	char *take()				{ char *r=s; s=0; return r; }
};

struct f : public StrBasic
{
	f( char *fmt, ... );
	~f();
	operator char *()	{ return s; }
};


struct Str : public StrBasic
{
	Str() : StrBasic() { }
	Str( char *_s, int _length )		{ _set( _s, _length ); }
	Str( char *_s )						{ _set( _s ); }
	Str( int _length );
	Str( f &_f );
	~Str();

	void mapTo( char *_s );

	void _set( char *newValue, int _length );
	void _set( char *newValue );

	void set( char *_s )				{ _set( _s ); }
	void set( char *_s, int _length )	{ _set( _s, _length ); }

	void  append( char *addMe );
	int   getLength();
	int   is( char *other );
	int   isWild( char *other );
	int   isEmpty()		{ return !s || s==empty || !*s; }
	char *allCaps();
	char *allLower();
	char *cap();
	char *get()					{ return s; }
	int   getInt();
	operator char *()           { return s; }
};



#endif
