#include "LeakTracker.h"
#include "KenMem.h"

extern int curTouchNum;

LeakTracker::LeakTracker()
{
	++curTouchNum;
	touchNum = curTouchNum;
}

LeakTracker::~LeakTracker()
{
	++curTouchNum;
}

int LeakTracker::anyLeaks()
{
	extern int kHeapCountTouch( int );
	return kHeapCountTouch( touchNum ) > 0;
}

void LeakTracker::writeTo( char *destFile )
{
	extern void kHeapDump( char *, int );
	kHeapDump( destFile, touchNum );
}
