#ifndef LOCK_H
#define LOCK_H

#include "WinSleep.h"

struct ThreadLock
{
	int *lock;
	ThreadLock( int *_lockPtr )
	{
		lock = _lockPtr;
		while( *lock )
		{
			winSleep( 1 );
		}
		++(*lock);
	}
	~ThreadLock()
	{
		--(*lock);
	}
};

#define LOCK(v)  ThreadLock __lock__(&v);

#endif
