#ifndef LOG_H
#define LOG_H

// 


#ifdef __cplusplus
extern "C" {
#endif

typedef void LogCallbackFn( char *groupName, char *s );

extern void logTabMore();
extern void logTabLess();
extern void logFlush();

extern void logSetFlushAlways( int newValue );
extern void logSetCloseAlways( int newValue );

extern void logSetCallbackFn( LogCallbackFn *callback );

extern int  logOpen  ( char *fileName );
extern int  logAppend( char *fileName );
extern void logClose();
extern void logClear();

extern void logAdd( char *groupName, char *fmt, ... );

extern void logSuppress( int yesNo );

#ifdef __cplusplus
}
#endif

#endif
