#include "SysMalloc.h"
#include "malloc.h"

extern SysMallocFn   *sysMallocCall;
extern SysFreeFn     *sysFreeCall;

void keepThisModule()
{
	int a = 1;
}

void * _cdecl operator new( size_t size )
{
	if( !sysMallocCall ) return ::malloc( size );
	return sysMallocCall( size );
}

void  _cdecl operator delete( void *ptr )
{
	if( !sysFreeCall ) { ::free( ptr ); return; }
	sysFreeCall( ptr );
}