#include "SysParse.h"
#include "string.h"

static char *staticArgResult = 0;

char *getArg( char *arg, char *cmdLine, char *defaultValue = 0 )
{
	if( !staticArgResult )
		staticArgResult = new char[1024];

	char *s = cmdLine;
	while( s && *s )
	{
		s = sysParse( 1024, &(staticArgResult[0]), s, " ", 1 );
		if( s && *s && !stricmp( staticArgResult, arg ) )
		{
			s = sysParse( 1024, &(staticArgResult[0]), s, " ", 1 );
			return staticArgResult;
		}
	}

	if( defaultValue )
		return defaultValue;

	return "";
}

char *getArgExists( char *arg, char *cmdLine, char *value, char *defaultValue )
{
	char *s = cmdLine;
	while( s && *s )
	{
		char argResult[1024];
		s = sysParse( 1024, &(argResult[0]), s, " ", 0 );
		if( !stricmp( argResult, arg ) )
		{
			return value;
		}
	}

	return defaultValue;
}
