#ifndef FILEREPORT_H
#define FILEREPORT_H


typedef void FileReportOpenFn  ( int handle, char *url, int read, int write, int create );
typedef void FileReportCloseFn ( int handle, char *url );
typedef void FileReportKillFn  ( char *url );
typedef void FileReportMakeFn  ( char *url, int isDir );


extern FileReportOpenFn  *fileReportOpen;
extern FileReportCloseFn *fileReportClose;
extern FileReportKillFn  *fileReportKill;
extern FileReportMakeFn  *fileReportMake;


#endif


