#ifndef KENMEM_H
#define KENMEM_H

// This is straight from VC's stdlib.h
#ifndef _SIZE_T_DEFINED
	typedef unsigned int size_t;
	#define _SIZE_T_DEFINED
#endif


extern void * kCalloc( size_t num, size_t size );
extern void * kMalloc( size_t size );
extern void * kMallocZeroAllowed( size_t size );
extern void   kFree( void *memblock );
extern void * kRealloc( void *memblock, size_t size );
extern int    kHeapChk( void );
extern void   kHeapDump();

extern void kHeapTouch();
extern void kHeapDumpTo( char *destFile, int touchNum = 0 );
extern void kMemSafe();
extern int  kHeapContains( void *memblock );
extern int  kGetAllocCount();

#endif												    
