#include "SysAssert.h"
#include "SysMem.h"

MemStorage::MemStorage()
{
	data = 0;
	allocLength = 0;
	dataLength = 0;
	refCount = 0;
	isAlias = 0;
}

MemStorage::MemStorage( char *_data, int len )
{
	data = _data;
	allocLength = len;
	dataLength = len;
	refCount = 0;
	isAlias = 1;
}


MemStorage::~MemStorage()
{
	sysAssert( refCount == 0 );
	if( data && !isAlias )
		delete data;
	data = 0;
}

