#ifndef __FASTRANDOM_H
#define __FASTRANDOM_H

#ifdef __cplusplus
extern "C" {
#endif

// Fast random number routines.
extern int fastRandomInt( int maxInt );
extern float fastRandomFloat( float maxFloat );

extern void fastRandomize( int seedRandWithTime = 1 );

extern float fastRandomGetBell( float a, float b );
extern float fastRandomGetPyramid( float a, float b );
#define fastRandomGetLinear(a,b)		((a)+fastRandomFloat((b)-(a)))

extern void fastRandomPushSeed( int *storedSeed, int newSeed );
extern void fastRandomPopSeed( int storedSeed );

#ifdef __cplusplus
}
#endif


#endif
