#ifndef UNIVERSALTIME_H
#define UNIVERSALTIME_H


#ifndef UNIVERSAL_TIME
#define UNIVERSAL_TIME

#ifdef __cplusplus
extern "C" {
#endif

typedef struct FileTime FileTime;

typedef struct UniversalTime {
    short year;
    short month;
    short dayOfWeek;
    short day;
    short hour;
    short minute;
    short second;
    short millisecond;
} UniversalTime;

extern int  universalTimeLaterThan  ( UniversalTime isThisLater, UniversalTime thanThis );
extern int  universalTimeEquals     (  UniversalTime remote, UniversalTime local, int testMilli = 0 );

extern void fileTimeToUniversalTime ( FileTime *ft, UniversalTime *ut );
extern void universalTimeToFileTime ( UniversalTime *ut, FileTime *ft );



#ifdef __cplusplus
}
#endif

#endif

#endif
